> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File by Item ID

Retrieve the file metadata associated with an item ID. The response includes file details such as the title, file name, ingestion status, publisher, and organization.

## Authentication

The API requires an API key with access to the publisher that owns the file. The organization associated with your API key must be authorized to access the requested file.

## Path parameter

* `item_id` — The UUID of the item associated with the file.

<Card title="Error Reference: Data Engine" icon="triangle-exclamation" href="/api-reference/general/errors#data-engine">
  Common errors include an unauthorized request or a file that cannot be found.
</Card>

### Common errors

* **403 Forbidden** — You are not authorized to access this file.
* **404 Not Found** — No file exists for the requested item ID.


## OpenAPI

````yaml get /engine/v1/files/{item_id}
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /engine/v1/files/{item_id}:
    get:
      tags:
        - Data Engine
      summary: Get File By Item ID
      operationId: get_file_by_id_engine_v1_files__item_id__get
      parameters:
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Item Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileData'
        '403':
          description: Forbidden - Not authorized to access this file
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
        '404':
          description: File not found
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
      security:
        - bearerAuth: []
components:
  schemas:
    FileData:
      properties:
        item_id:
          type: string
          format: uuid
          title: Item Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        file_name:
          type: string
          title: File Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        ingestion_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Ingestion Source
        author:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          title: Author
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        chunk_count:
          type: integer
          title: Chunk Count
        upload_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Upload Date
        publisher_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Publisher Id
        publisher_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Publisher Name
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        organization_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Name
        item_subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Subtitle
        item_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Image
        item_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Url
        item_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Summary
        item_tags:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          title: Item Tags
        isbn:
          anyOf:
            - type: string
            - type: 'null'
          title: Isbn
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication Date
        hosted_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Hosted Url
        visible_in_search:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Visible In Search
        visible_in_chat:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Visible In Chat
      type: object
      required:
        - item_id
        - title
        - file_name
        - type
        - author
        - status
        - chunk_count
        - upload_date
        - publisher_id
        - publisher_name
        - organization_id
        - organization_name
      title: FileData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api-key
      x-default: <api-key>
      description: >-
        Bearer authentication header of the form Bearer `<api-key>`, where
        `<api-key>` is your [API key](/studio/manage-api-credentials).

````